using SoftwareInstallationDataModels.Enums;
using SoftwareInstallationDataModels.Models;
using SoftwareInstallationContracts.Attributes;
using System.ComponentModel;


namespace SoftwareInstallationContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
		[Column("Номер", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public int Id { get; set; }
		[Column(visible: false)]
		public int PackageId { get; set; }
		[Column(visible: false)]
		public int ClientId { get; set; }
		[Column(visible: false)]
		public int? ImplementerId { get; set; }
		[Column("Фамилия клиента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ClientFIO { get; set; } = string.Empty;
		[Column("Фамилия исполнителя", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ImplementerFIO { get; set; } = string.Empty;
		[Column("Изделие", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public string PackageName { get; set; } = string.Empty;
		[Column("Количество", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public int Count { get; set; }
		[Column("Сумма", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public double Sum { get; set; }
		[Column("Статус", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
		[Column("Дата создания", width: 100)]
		public DateTime DateCreate { get; set; } = DateTime.Now;
		[Column("Дата выполнения", width: 100)]
		public DateTime? DateImplement { get; set; }
    }
}
